### Method

# ECal ComponentAlarm copy

since: 3.34

#### Declaration [src]

    ECalComponentAlarm*
    e_cal_component_alarm_copy (
      const ECalComponentAlarm* alarm
    )

#### Description [src]

Returns a newly allocated copy of `alarm`, which should be freed with e_cal_component_alarm_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentAlarm`

A newly allocated copy of `alarm`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.